import React, { useContext } from 'react';
import classNames from 'classnames';
import Tabs from '../tabs';
import ConfigProvider from '../config-provider';
import WauCard from './card';
import { jsx as _jsx } from "react/jsx-runtime";
const TabPane = props => {
  const {
    key,
    tab,
    tabKey,
    disabled,
    destroyInactiveTabPane,
    children,
    className,
    style,
    cardProps,
    ...rest
  } = props;
  const {
    getPrefixCls
  } = useContext(ConfigProvider.ConfigContext);
  const prefixCls = getPrefixCls('pro-card-tabpane');
  const tabPaneClassName = classNames(prefixCls, className);
  return /*#__PURE__*/_jsx(Tabs.TabPane, {
    tabKey: tabKey,
    tab: tab,
    className: tabPaneClassName,
    style: style,
    disabled: disabled,
    destroyInactiveTabPane: destroyInactiveTabPane,
    ...rest,
    children: /*#__PURE__*/_jsx(WauCard, {
      ...cardProps,
      children: children
    })
  }, key);
};
export default TabPane;